GreatWksDRParserInternal::State Struct Reference documentation

GreatWksDRParserInternal::State Struct Reference

Internal: the state of a GreatWksDRParser. More...

## Public Member Functions
| State ()
| constructor
int | numHeaderFooters () const
| returns the number of expected header/footer zones
MWAWSection | getSection () const
| returns a section

## Public Attributes
std::vector< double > | m_columnsWidth
| the columns dimension
bool | m_hfFlags [4]
| flags to define header/footer (titlePage, l/rPage, header, footer)
bool | m_hasColSep
| true if columns have columns separator
int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document
int | m_headerHeight
| the header height if known
int | m_footerHeight
| the footer height if known

## Detailed Description

Internal: the state of a GreatWksDRParser.

## Constructor & Destructor Documentation

## ◆ State()

GreatWksDRParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getSection()

MWAWSection GreatWksDRParserInternal::State::getSection | ( |  | ) | const
| inline

returns a section

## ◆ numHeaderFooters()

int GreatWksDRParserInternal::State::numHeaderFooters | ( |  | ) | const
| inline

returns the number of expected header/footer zones

## Member Data Documentation

## ◆ m_actPage

int GreatWksDRParserInternal::State::m_actPage

the actual page

Referenced by State().

## ◆ m_columnsWidth

std::vector<double> GreatWksDRParserInternal::State::m_columnsWidth

the columns dimension

Referenced by getSection(), and State().

## ◆ m_footerHeight

int GreatWksDRParserInternal::State::m_footerHeight

the footer height if known

Referenced by State().

## ◆ m_hasColSep

bool GreatWksDRParserInternal::State::m_hasColSep

true if columns have columns separator

Referenced by getSection(), and State().

## ◆ m_headerHeight

int GreatWksDRParserInternal::State::m_headerHeight

the header height if known

Referenced by State().

## ◆ m_hfFlags

bool GreatWksDRParserInternal::State::m_hfFlags[4]

flags to define header/footer (titlePage, l/rPage, header, footer)

Referenced by numHeaderFooters(), and State().

## ◆ m_numPages

int GreatWksDRParserInternal::State::m_numPages

the number of page of the final document

Referenced by State().

The documentation for this struct was generated from the following file:

- GreatWksDRParser.cxx